package it.polito.elite.listeners;

import it.polito.elite.visualization.ontoviewer.behaviors.InterpolatorListener;
import it.polito.elite.visualization.ontoviewer.scenes3D.Scene3D;

import javax.media.j3d.Appearance;
import javax.media.j3d.Shape3D;
import javax.media.j3d.TransformGroup;
import javax.media.j3d.TransparencyAttributes;

public class PostAnimation_TransparencyAdjuster implements InterpolatorListener {
	
	TransformGroup root;
	

	public PostAnimation_TransparencyAdjuster(TransformGroup root) {
		this.root = root;
	}
	
	public void InterpolatorCompleted() {
		Shape3D array[] = Scene3D.getShapes(root);
		for (Shape3D shape : array) {
			TransparencyAttributes ta = shape.getAppearance()
					.getTransparencyAttributes();
			if (ta.getTransparency() == 0f) {
				Appearance app = shape.getAppearance();
				ta = new TransparencyAttributes(TransparencyAttributes.NONE,0f);
				try {
					app.setTransparencyAttributes(ta);
				} catch (Exception e1) {
					System.out.println("Error setting back transparency "+shape.getClass());
				}

			}
			
		}
	}


}
