package it.polito.elite.ontosphere3dplugin;

import it.polito.elite.visualization.ontoviewer.userInterfaces.LogicViewPanel;
import it.polito.elite.visualization.ontoviewer.userInterfaces.Pane3DScene;

import java.awt.Frame;

import org.eclipse.swt.SWT;
import org.eclipse.swt.awt.SWT_AWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

public class SubjectAreaView extends ViewPart {
		private Frame frame = null;
		private LogicViewPanel logicView;
		private Composite SWT_AWT_container = null;
		static public SubjectAreaView theInstance = null;
		
		public static final String ID_VIEW = "it.polito.elite.ontosphere3DPlugin.SubjectAreaView";
		
		@Override
		public void createPartControl(Composite parent) {
			SWT_AWT_container = new Composite(parent, SWT.EMBEDDED);
	    	SWT_AWT_container.setRedraw(true);
	    	frame = SWT_AWT.new_Frame(SWT_AWT_container);
	    	Pane3DScene panel3D = OntoSelectorView.getViewerPanel();
	    	if(panel3D != null){
	    		logicView = new LogicViewPanel(panel3D);
				frame.add(logicView);
	    	}
	    	SubjectAreaView.theInstance = this;
		}

		@Override
		public void setFocus() {	
			Pane3DScene panel3D = OntoSelectorView.getViewerPanel();
	    	if(panel3D != null){
	    		if(panel3D.scene.getSceneID()==1){
	    			this.logicView.saveCurrentView.setEnabled(true);
	    		}
	    		else{
	    			this.logicView.saveCurrentView.setEnabled(false);
	    		}
	    	}
		}
		
		public void updateView(Pane3DScene panel3D){
			if(SubjectAreaView.theInstance != null){
	    		logicView = new LogicViewPanel(panel3D);
	    		if(frame.getComponentCount()>0)
	    		frame.removeAll();
				frame.add(logicView);
	    		frame.setVisible(true);
	    		frame.pack();
	    		SWT_AWT_container.redraw();
	    	}
		}
		
	}



