package it.polito.elite.listeners;
import it.polito.elite.visualization.ontoviewer.behaviors.InterpolatorListener;
import it.polito.elite.visualization.ontoviewer.scenes3D.Scene3D;
import it.polito.elite.visualization.ontoviewer.userInterfaces.Pane3DScene;

import java.util.TimerTask;

public class PostAnimation_SceneChanger extends TimerTask implements InterpolatorListener {
	
	private Pane3DScene refMainPanel;
	private Scene3D newScene;
	
	public PostAnimation_SceneChanger(Pane3DScene refMainPanel, Scene3D newScene, boolean deletePreviusScene) {
		this.refMainPanel = refMainPanel;
		this.newScene = newScene;
	}

	
	public void InterpolatorCompleted() {
		this.refMainPanel.changeScene(newScene);
	}


	@Override
	public void run() {
		this.InterpolatorCompleted();
	}


}
