package it.polito.elite.ontosphere3dplugin;

import it.polito.elite.visualization.ontoviewer.userInterfaces.Pane3DScene;

import java.awt.Frame;

import org.eclipse.swt.SWT;
import org.eclipse.swt.awt.SWT_AWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;
 
public class OntoSphereView extends ViewPart {
	
	public static final String ID_VIEW = "it.polito.elite.ontosphere3DPlugin.OntoSphereView";
	
	private Pane3DScene viewerPanel = null;
	private Frame frame = null;
	static public OntoSphereView theInstance= null;
	private Composite SWT_AWT_container = null;
	public OntoSphereView() {}
	
    public void createPartControl(Composite parent) {
    	
    	SWT_AWT_container = new Composite(parent, SWT.EMBEDDED|SWT.BORDER);
    	SWT_AWT_container.setRedraw(true);
    	frame = SWT_AWT.new_Frame(SWT_AWT_container);
    	
    	Pane3DScene panel3D = OntoSelectorView.getViewerPanel();
    	if(panel3D != null){
    		frame.add(panel3D);
    	}
    	OntoSphereView.theInstance = this;
    }
    
    public void updateView(Pane3DScene viewerPanel){
    	if(this.frame !=null ){
    		
    		if(this.frame.getComponentCount()>0){
    			frame.removeAll();
    		}
    		
    		frame.add(viewerPanel);
    		frame.setVisible(true);
    		frame.pack();
    		SWT_AWT_container.redraw();
    	}
    }
    
	public void setFocus() {}

}
