package it.polito.elite.visualization.ontoviewer.behaviors;

import java.awt.Component;
import java.awt.Cursor;
import java.awt.event.MouseEvent;
import java.util.TimerTask;

public class ManageCursorChangeTT extends TimerTask{
	
	private Component componente;
	private int buttonID;
	private MyMouseCursorSelector handle;
	
	public ManageCursorChangeTT(Component componente, int buttonID, MyMouseCursorSelector h) {
		super();
		this.componente = componente;
		this.buttonID=buttonID;
		this.handle=h;
	}


	public void run() {
		if(this.buttonID==MouseEvent.BUTTON1){
			this.componente.setCursor(new Cursor(Cursor.HAND_CURSOR));
		}
		else if(this.buttonID==MouseEvent.BUTTON2){
			this.componente.setCursor(new Cursor(Cursor.MOVE_CURSOR));
		}
		handle.setCursorChanged(true);
	}

}
