package it.polito.elite.visualization.ontoviewer.behaviors;

import javax.media.j3d.Alpha;
import javax.media.j3d.PositionInterpolator;
import javax.media.j3d.Transform3D;
import javax.media.j3d.TransformGroup;

public class PositionInterpolatorWithListener extends PositionInterpolator {
	
	InterpolatorListener myListener;
	
	public PositionInterpolatorWithListener(Alpha arg0, TransformGroup arg1, Transform3D arg2, 
			float arg3, float arg4, InterpolatorListener arg5) {
		super(arg0, arg1, arg2, arg3, arg4);
		myListener=arg5;
	}
	
//	 override the processStimulus function...
	  public void processStimulus(java.util.Enumeration criteria)
	  {
	    super.processStimulus(criteria);
	   if(  (myListener!=null) && (super.getAlpha()).finished())
	    {
		  this.setEnable(false);
	      myListener.InterpolatorCompleted();
	    }
	  }
	
}
